Package org.apache.felix.http.base.internal.util

# Class PatternUtil

java.lang.Object
org.apache.felix.http.base.internal.util.PatternUtil

public abstract class PatternUtil extends Object
Some convenience utilities to deal with path patterns.

## Constructor Summary

Constructors
Constructor
Description
`PatternUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isValidPattern(String pattern)`
Check for valid servlet pattern
`static boolean`
`isValidSymbolicName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PatternUtil

public PatternUtil()

## Method Details

### isValidPattern

public static boolean isValidPattern(String pattern)
Check for valid servlet pattern

Parameters:
  `pattern` - The pattern
Returns:
  `true` if its valid

### isValidSymbolicName

public static boolean isValidSymbolicName(String name)